cURL
curl --request GET \
--url https://api.unifygtm.com/sequences/v1/sequences/{id}/steps \
--header 'x-api-key: <api-key>'import requests
url = "https://api.unifygtm.com/sequences/v1/sequences/{id}/steps"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.unifygtm.com/sequences/v1/sequences/{id}/steps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"steps": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"sequence_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 2,
"dependencies": [
{
"parent_step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"condition": {
"type": "TIMER",
"duration_value": 123
}
}
],
"type": "AUTOMATIC_EMAIL",
"config": {
"is_root_message": true,
"subject": "<string>",
"fallback_subject": "<string>",
"body": "<string>",
"cc_recipients": [
"<string>"
],
"bcc_recipients": [
"<string>"
]
}
}
],
"next_cursor": "<string>"
}{
"status": "bad_request",
"errors": [
{
"code": "<string>",
"path": [
"<string>"
],
"object_api_name": "<string>",
"attribute_api_name": "<string>"
}
],
"message": "<string>"
}{
"status": "unauthorized",
"message": "<string>"
}{
"status": "not_found",
"message": "<string>"
}{
"status": "rate_limited",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Sequences
List sequence steps
List the steps that make up a sequence.
GET
/
sequences
/
{id}
/
steps
cURL
Authorizations
Path Parameters
String UUID value.
Query Parameters
Required range:
1 <= x <= 100Repeat type to filter by multiple sequence step types.
Type of a sequence step.
Available options:
AUTOMATIC_EMAIL, MANUAL_EMAIL, ACTION_ITEM, PHONE_CALL, MANUAL_LINKEDIN_PROFILE_VIEW, MANUAL_LINKEDIN_CONNECTION, MANUAL_LINKEDIN_MESSAGE ⌘I